package com.fxy.baselibrary.util;

import android.view.View;
import android.view.animation.CycleInterpolator;
import android.view.animation.TranslateAnimation;

/**
 * 控件抖动类
 * 
 * @author WuRS
 * 
 */
public class AnimShakeUtil {

	public static void shake(View view) {
		final TranslateAnimation anim = new TranslateAnimation(0, 10, 0, 0);
		// 利用 CycleInterpolator 参数 为float 的数 表示 抖动的次数，而抖动的快慢是由 duration 和
		// CycleInterpolator 的参数的大小 联合确定的
		anim.setInterpolator(new CycleInterpolator(6f));
		anim.setDuration(800);
		view.startAnimation(anim);
	}
}
